Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#39 File Transfer Size Limit

open
5
2012-08-16
2006-02-09
BrettvG
No

I'm using GAIM v2 Beta 2. Not sure where to post this
but file transfers do not correctly adhere to
server-based rules to restrict size.

For example, server only allows files of 5mb to be
sent. Gaim Meanwhile will send a 105Mb file and then
fail at 100Mb remaining.

It should of course give an error dialogue at the time
the file is selected if it is too large.

Discussion

  • Logged In: YES
    user_id=77326

    get the output from gaim -d for this one. Also, does a 6 MB
    file transfer between two versions of Gaim work? I have
    suspicions that this is actually the receiving client's fault

     
  • BrettvG
    BrettvG
    2006-02-10

    Logged In: YES
    user_id=1338439

    All that shows up for meanwhile is:

    meanwhile: setting ft (CN=Nicholas Wood/OU=IT/O=EYI/C=GB,
    (null)) state: done
    meanwhile: channel 0x00000005 state: closing

    And I can transfer a 20Mb file to a standard Sametime 3.1
    Connect client fine. I'm assuming that the server tells
    the sending client what the restriction on size is and
    that at this stage Meanwhile is simply ignoring what the
    server tells it.??

     
  • BrettvG
    BrettvG
    2006-02-10

    Logged In: YES
    user_id=1338439

    I lied. My logging was poorely done. Here is what actually
    appears. My observation about the behaviour holds true
    though.

    file != NULL
    ft_outgoing_init
    (09:53:50) meanwhile: channel 0x00000007 state: waiting
    (09:53:50) meanwhile: channel 0x00000007 state:
    initializing
    (09:53:50) meanwhile: channel 0x00000007 state: waiting
    (09:53:50) meanwhile: setting ft (CN=James
    Memmott/OU=IT/OU=EYI/O=ErnstYoung/C=GB, (null)) state:
    pending
    (09:53:53) meanwhile: channel accepted with encrypt policy
    0x0000
    (09:53:53) meanwhile: channel 0x00000007 selected no cipher
    (09:53:53) meanwhile: channel 0x00000007 state: open
    (09:53:53) meanwhile: setting ft (CN=James
    Memmott/OU=IT/OU=EYI/O=ErnstYoung/C=GB, (null)) state: open
    (09:57:02) meanwhile: setting ft (CN=James
    Memmott/OU=IT/OU=EYI/O=ErnstYoung/C=GB, (null)) state: done
    (09:57:02) meanwhile: channel 0x00000007 state: closing

     
  • Logged In: YES
    user_id=77326

    What client was it that you were sending to originally that
    failed after 5MB?

    It's not so much a matter of ignoring what the server tells
    us, as not knowing what to ask the server so that it will
    tell us.

    Now why in the heck this would ever be implemented in a
    manner that relies on the client to be polite... I don't know.

     
  • BrettvG
    BrettvG
    2006-02-10

    Logged In: YES
    user_id=1338439

    I'd hate to try and comment about the logic of the way
    this appears to be implemented ;-).

    The client that failed when I noticed this was a receiving
    Connect 3.1. I believe after more testing that the failure
    after 5Mb was simply a coincidence. Testing today shows
    that GAIM Meanwhile can send to any client and bypass any
    server restriction on size.

     
  • Logged In: YES
    user_id=77326

    I'm going to turn this into a feature request to support
    server-side transfer limits, since everything is working as
    designed so far.

    Though, this did bring to my attention a different bug,
    which was that some transfers would show as "cancelled"
    instead of "complete" when they would finish sending the
    last chunk of data. This is fixed in Gaim CVS.

     


Anonymous


Cancel   Add attachments